Index: /branches/version-2_11-dev/data/module/SOAP/Client.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/Client.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/Client.php	(revision 21410)
@@ -23,5 +23,4 @@
  */
 
-/** SOAP_Value */
 require_once 'SOAP/Value.php';
 require_once 'SOAP/Base.php';
@@ -37,7 +36,4 @@
 // these two are BC/FC handlers for call in PHP4/5
 
-/**
- * @package SOAP
- */
 if (!class_exists('SOAP_Client_Overload')) {
     if (substr(zend_version(), 0, 1) > 1) {
@@ -297,21 +293,13 @@
      * placed in the options array.  This is done to provide backwards
      * compatibility with current clients, but may be removed in the future.
-     * The currently supported values are:
-     * - 'namespace'
-     * - 'soapaction'
-     * - 'timeout': HTTP socket timeout
-     * - 'transfer-encoding': SMTP transport, Content-Transfer-Encoding: header
-     * - 'from': SMTP transport, From: header
-     * - 'subject': SMTP transport, Subject: header
-     * - 'headers': SMTP transport, hash of extra SMTP headers
-     * - 'attachments': what encoding to use for attachments (Mime, Dime)
-     * - 'trace': whether to trace the SOAP communication
-     * - 'style': 'document' or 'rpc'; when set to 'document' the parameters
-     *   are not wrapped inside a tag with the SOAP action name
-     * - 'use': 'literal' for literal encoding, anything else for section 5
-     *   encoding; when set to 'literal' SOAP types will be omitted.
-     * - 'keep_arrays_flat': use the tag name multiple times for each element
-     *   when passing in an array in literal mode
-     * - 'no_type_prefix': supress adding of the namespace prefix
+     * The currently supported values are:<pre>
+     *   namespace
+     *   soapaction
+     *   timeout (HTTP socket timeout)
+     *   transfer-encoding (SMTP, Content-Transfer-Encoding: header)
+     *   from (SMTP, From: header)
+     *   subject (SMTP, Subject: header)
+     *   headers (SMTP, hash of extra SMTP headers)
+     * </pre>
      *
      * @access public
@@ -319,12 +307,10 @@
      * @param string $method           The method to call.
      * @param array $params            The method parameters.
-     * @param string|array $namespace  Namespace or hash with options. Note:
-     *                                 most options need to be repeated for
-     *                                 SOAP_Value instances.
+     * @param string|array $namespace  Namespace or hash with options.
      * @param string $soapAction
      *
      * @return mixed  The method result or a SOAP_Fault on error.
      */
-    function call($method, $params, $namespace = false, $soapAction = false)
+    function &call($method, &$params, $namespace = false, $soapAction = false)
     {
         $this->headersIn = null;
@@ -347,8 +333,9 @@
         if (!$this->_soap_transport ||
             $this->_endpoint != $this->_soap_transport->url) {
-            $this->_soap_transport = SOAP_Transport::getTransport($this->_endpoint);
+            $this->_soap_transport =& SOAP_Transport::getTransport($this->_endpoint);
             if (PEAR::isError($this->_soap_transport)) {
-                $fault = $this->_raiseSoapFault($this->_soap_transport);
+                $fault =& $this->_soap_transport;
                 $this->_soap_transport = null;
+                $fault = $this->_raiseSoapFault($fault);
                 return $fault;
             }
@@ -379,6 +366,6 @@
         $this->__result_encoding = $this->_soap_transport->result_encoding;
 
-        $result = $this->parseResponse($this->xml, $this->__result_encoding,
-                                       $this->_soap_transport->attachments);
+        $result = &$this->parseResponse($this->xml, $this->__result_encoding,
+                                        $this->_soap_transport->attachments);
         return $result;
     }
@@ -442,5 +429,5 @@
         }
 
-        $return_value = $this->call($method, $params);
+        $return_value =& $this->call($method, $params);
 
         return true;
@@ -448,4 +435,13 @@
 
     /**
+     * @deprecated Use getLastRequest().
+     */
+    function &__getlastrequest()
+    {
+        $request = $this->getLastRequest();
+        return $request;
+    }
+
+    /**
      * Returns the XML content of the last SOAP request.
      *
@@ -458,4 +454,13 @@
 
     /**
+     * @deprecated Use getLastResponse().
+     */
+    function &__getlastresponse()
+    {
+        $response =& $this->getLastResponse;
+        return $response;
+    }
+
+    /**
      * Returns the XML content of the last SOAP response.
      *
@@ -468,8 +473,14 @@
 
     /**
+     * @deprecated Use setUse().
+     */
+    function __use($use)
+    {
+        $this->setUse($use);
+    }
+
+    /**
      * Sets the SOAP encoding.
      *
-     * The default encoding is section 5 encoded.
-     *
      * @param string $use  Either 'literal' or 'encoded' (section 5).
      */
@@ -480,8 +491,14 @@
 
     /**
+     * @deprecated Use setStyle().
+     */
+    function __style($style)
+    {
+        $this->setStyle($style);
+    }
+
+    /**
      * Sets the SOAP encoding style.
      *
-     * The default style is rpc.
-     *
      * @param string $style  Either 'document' or 'rpc'.
      */
@@ -492,4 +509,12 @@
 
     /**
+     * @deprecated Use setTrace().
+     */
+    function __trace($level)
+    {
+        $this->setTrace($level);
+    }
+
+    /**
      * Sets whether to trace the traffic on the transport level.
      *
@@ -503,49 +528,30 @@
     }
 
-    /**
-     * Generates the complete XML SOAP message for an RPC call.
-     *
-     * @see call()
-     *
-     * @param string $method           The method to call.
-     * @param array $params            The method parameters.
-     * @param string|array $namespace  Namespace or hash with options. Note:
-     *                                 most options need to be repeated for
-     *                                 SOAP_Value instances.
-     * @param string $soapAction
-     *
-     * @return string  The SOAP message including envelope.
-     */
-    function _generate($method, $params, $namespace = false,
+    function _generate($method, &$params, $namespace = false,
                        $soapAction = false)
     {
         $this->fault = null;
-        $this->_options['input'] = 'parse';
+        $this->_options['input'] = 'parse'; 
         $this->_options['result'] = 'parse';
         $this->_options['parameters'] = false;
 
-        if ($params && !is_array($params)) {
+        if ($params && gettype($params) != 'array') {
             $params = array($params);
         }
 
-        if (is_array($namespace)) {
-            // Options passed as a hash.
+        if (gettype($namespace) == 'array') {
             foreach ($namespace as $optname => $opt) {
                 $this->_options[strtolower($optname)] = $opt;
+            }
+            if (isset($this->_options['namespace'])) {
+                $namespace = $this->_options['namespace'];
+            } else {
+                $namespace = false;
             }
         } else {
             // We'll place $soapAction into our array for usage in the
             // transport.
-            if ($soapAction) {
-                $this->_options['soapaction'] = $soapAction;
-            }
-            if ($namespace) {
-                $this->_options['namespace'] = $namespace;
-            }
-        }
-        if (isset($this->_options['namespace'])) {
-            $namespace = $this->_options['namespace'];
-        } else {
-            $namespace = false;
+            $this->_options['soapaction'] = $soapAction;
+            $this->_options['namespace'] = $namespace;
         }
 
@@ -573,7 +579,7 @@
                 return $this->_raiseSoapFault($opData);
             }
-            $namespace                    = $opData['namespace'];
-            $this->_options['style']      = $opData['style'];
-            $this->_options['use']        = $opData['input']['use'];
+            $namespace = $opData['namespace'];
+            $this->_options['style'] = $opData['style'];
+            $this->_options['use'] = $opData['input']['use'];
             $this->_options['soapaction'] = $opData['soapAction'];
 
@@ -643,6 +649,5 @@
             $this->docparams = true;
             $mqname = new QName($method, $namespace);
-            $methodValue = new SOAP_Value($mqname->fqn(), 'Struct', $params,
-                                          array(), $this->_options);
+            $methodValue = new SOAP_Value($mqname->fqn(), 'Struct', $params);
             $soap_msg = $this->makeEnvelope($methodValue,
                                             $this->headersOut,
@@ -652,5 +657,6 @@
             if (!$params) {
                 $mqname = new QName($method, $namespace);
-                $params = new SOAP_Value($mqname->fqn(), 'Struct', null);
+                $mynull = null;
+                $params = new SOAP_Value($mqname->fqn(), 'Struct', $mynull);
             } elseif ($this->_options['input'] == 'parse') {
                 if (is_array($params)) {
@@ -680,5 +686,5 @@
                                             $this->_options);
         }
-        $this->headersOut = null;
+        unset($this->headersOut);
 
         if (PEAR::isError($soap_msg)) {
@@ -722,4 +728,12 @@
 
     /**
+     * @deprecated Use parseResponse().
+     */
+    function &__parse(&$response, $encoding, &$attachments)
+    {
+        return $this->parseResponse($response, $encoding, $attachments);
+    }
+
+    /**
      * Parses a SOAP response.
      *
@@ -730,33 +744,32 @@
      * @param array $attachments  List of attachments.
      */
-    function parseResponse($response, $encoding, $attachments)
+    function &parseResponse($response, $encoding, &$attachments)
     {
         // Parse the response.
-        $response = new SOAP_Parser($response, $encoding, $attachments);
+        $response =& new SOAP_Parser($response, $encoding, $attachments);
         if ($response->fault) {
-            $fault = $this->_raiseSoapFault($response->fault);
+            $fault =& $this->_raiseSoapFault($response->fault);
             return $fault;
         }
 
         // Return array of parameters.
-        $return = $response->getResponse();
-        $headers = $response->getHeaders();
+        $return =& $response->getResponse();
+        $headers =& $response->getHeaders();
         if ($headers) {
-            $this->headersIn = $this->_decodeResponse($headers, false);
-        }
-
-        $decoded = $this->_decodeResponse($return);
+            $this->headersIn =& $this->_decodeResponse($headers, false);
+        }
+
+        $decoded = &$this->_decodeResponse($return);
         return $decoded;
     }
 
     /**
-     * Converts a complex SOAP_Value into a PHP Array
-     *
-     * @param SOAP_Value $response  Value object.
-     * @param boolean $shift
-     *
-     * @return array
-     */
-    function _decodeResponse($response, $shift = true)
+    *   Converts a complex SOAP_Value into a PHP Array
+    *
+    *   @param SOAP_Value   $response   value object
+    *   @param boolean      $shift      FIXME
+    *   @return Array
+    */
+    function &_decodeResponse($response, $shift = true)
     {
         if (!$response) {
@@ -767,17 +780,17 @@
         // Check for valid response.
         if (PEAR::isError($response)) {
-            $fault = $this->_raiseSoapFault($response);
+            $fault =& $this->_raiseSoapFault($response);
             return $fault;
         } elseif (!is_a($response, 'soap_value')) {
-            $fault = $this->_raiseSoapFault("Didn't get SOAP_Value object back from client");
+            $fault =& $this->_raiseSoapFault("Didn't get SOAP_Value object back from client");
             return $fault;
         }
 
         // Decode to native php datatype.
-        $returnArray = $this->_decode($response);
+        $returnArray =& $this->_decode($response);
 
         // Fault?
         if (PEAR::isError($returnArray)) {
-            $fault = $this->_raiseSoapFault($returnArray);
+            $fault =& $this->_raiseSoapFault($returnArray);
             return $fault;
         }
@@ -787,8 +800,7 @@
             $returnArray = get_object_vars($returnArray);
         }
-
         if (is_array($returnArray)) {
             if (isset($returnArray['faultcode']) ||
-                isset($returnArray[SOAP_BASE::SOAPENVPrefix().':faultcode'])) {
+                isset($returnArray['SOAP-ENV:faultcode'])) {
                 $faultcode = $faultstring = $faultdetail = $faultactor = '';
                 foreach ($returnArray as $k => $v) {
@@ -798,6 +810,5 @@
                     if (stristr($k, 'faultactor')) $faultactor = $v;
                 }
-                $fault = $this->_raiseSoapFault($faultstring, $faultdetail,
-                                                $faultactor, $faultcode);
+                $fault =& $this->_raiseSoapFault($faultstring, $faultdetail, $faultactor, $faultcode);
                 return $fault;
             }
@@ -809,6 +820,13 @@
             return $returnArray;
         }
-
         return $returnArray;
+    }
+
+    /**
+     * @deprecated Use getWire().
+     */
+    function __get_wire()
+    {
+        return $this->getWire();
     }
 
Index: /branches/version-2_11-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_Product.php	(revision 21409)
+++ /branches/version-2_11-dev/data/class/SC_Product.php	(revision 21410)
@@ -180,5 +180,5 @@
      * @param SC_Query $objQuery SC_Query インスタンス
      * @param array|int $arrProductId 商品ID
-     * @return array 商品一覧の配列 (キー: 商品ID)
+     * @return array 商品一覧の配列
      */
     function getListByProductIds(&$objQuery, $arrProductId = array()) {
@@ -191,25 +191,6 @@
 
         $objQuery->setWhere($where, $arrProductId);
-        $arrProducts = $this->lists($objQuery);
-
-        // 配列のキーを商品IDに
-        $arrTmp = array();
-        foreach($arrProducts as $arrProduct) {
-            $arrTmp[$arrProduct['product_id']] = $arrProduct;
-        }
-        $arrProducts =& $arrTmp;
-        unset($arrTmp);
-
-        // SC_Query::setOrder() の指定がない場合、$arrProductId で指定された商品IDの順に配列要素を並び替え
-        if (strlen($objQuery->order) === 0) {
-            $arrTmp = array();
-            foreach ($arrProductId as $product_id) {
-                $arrTmp[$product_id] = $arrProducts[$product_id];
-            }
-            $arrProducts =& $arrTmp;
-            unset($arrTmp);
-        }
-
-        return $arrProducts;
+        $arrRet = $this->lists($objQuery);
+        return $arrRet;
     }
 
@@ -683,11 +664,11 @@
      * 商品詳細の SQL を取得する.
      *
-     * @param string $where_products_class 商品規格情報の WHERE 句
+     * @param string $where 商品詳細の WHERE 句
      * @return string 商品詳細の SQL
      */
-    function alldtlSQL($where_products_class = '') {
-        $where_clause = '';
-        if (!SC_Utils_Ex::isBlank($where_products_class)) {
-            $where_clause = 'WHERE ' . $where_products_class;
+    function alldtlSQL($where = "") {
+        $where_clause = "";
+        if (!SC_Utils_Ex::isBlank($where)) {
+            $where_clause = " WHERE " . $where;
         }
         /*
Index: /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 21402)
+++ /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 21410)
@@ -453,4 +453,5 @@
         foreach($arrRecommendData as $recommend){
             $arrRecommendProductId[] = $recommend["recommend_product_id"];
+            $arrRecommendData[$recommend["recommend_product_id"]] = $recommend['comment'];
         }
 
@@ -458,10 +459,18 @@
         $arrProducts = $objProduct->getListByProductIds($objQuery, $arrRecommendProductId);
 
+        //取得している並び順で並び替え
+        // FIXME SC_Productあたりにソート処理はもってくべき
+        $arrProducts2 = array();
+        foreach($arrProducts as $item) {
+            $arrProducts2[ $item['product_id'] ] = $item;
+        }
+
         $arrRecommend = array();
-        foreach ($arrRecommendData as $key => $arrRow) {
-            $arrRecommendData[$key] = array_merge($arrRow, $arrProducts[$arrRow['recommend_product_id']]);
-        }
-
-        return $arrRecommendData;
+        foreach($arrRecommendProductId as $product_id) {
+            $arrProducts2[$product_id]['comment'] = $arrRecommendData[$product_id];
+            $arrRecommend[] = $arrProducts2[$product_id];
+        }
+
+        return $arrRecommend;
     }
 
Index: /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_CategoryList.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 21317)
+++ /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 21410)
@@ -65,5 +65,5 @@
         $this->lfCheckCategoryId();
 
-        // カテゴリ情報を取得する。
+        // カテゴリー情報を取得する。
         $objFormParam = $this->lfInitParam($_REQUEST);
         $arrCategoryData = $this->lfGetCategories($objFormParam->getValue('category_id'), true, $this);
@@ -91,14 +91,14 @@
 
     /**
-     * 選択されたカテゴリとその子カテゴリの情報を取得し、
+     * 選択されたカテゴリーとその子カテゴリーの情報を取得し、
      * ページオブジェクトに格納する。
      *
-     * @param string $category_id カテゴリID
-     * @param boolean $count_check 有効な商品がないカテゴリを除くかどうか
+     * @param string $category_id カテゴリーID
+     * @param boolean $count_check 有効な商品がないカテゴリーを除くかどうか
      * @param object &$objPage ページオブジェクト
      * @return void
      */
     function lfGetCategories($category_id, $count_check = false, &$objPage) {
-        // カテゴリの正しいIDを取得する。
+        // カテゴリーの正しいIDを取得する。
         $category_id = $this->lfCheckCategoryId($category_id);
         if ($category_id == 0) {
@@ -106,10 +106,10 @@
         }
 
-        $arrCategory = null;    // 選択されたカテゴリ
-        $arrChildren = array(); // 子カテゴリ
+        $arrCategory = null;    // 選択されたカテゴリー
+        $arrChildren = array(); // 子カテゴリー
 
         $arrAll = SC_Helper_DB_Ex::sfGetCatTree($category_id, $count_check);
         foreach ($arrAll as $category) {
-            // 選択されたカテゴリの場合
+            // 選択されたカテゴリーの場合
             if ($category['category_id'] == $category_id) {
                 $arrCategory = $category;
@@ -117,10 +117,10 @@
             }
 
-            // 関係のないカテゴリはスキップする。
+            // 関係のないカテゴリーはスキップする。
             if ($category['parent_category_id'] != $category_id) {
                 continue;
             }
 
-            // 子カテゴリの場合は、孫カテゴリが存在するかどうかを調べる。
+            // 子カテゴリーの場合は、孫カテゴリーが存在するかどうかを調べる。
             $arrGrandchildrenID = SC_Utils_Ex::sfGetUnderChildrenArray($arrAll, 'parent_category_id', 'category_id', $category['category_id']);
             $category['has_children'] = count($arrGrandchildrenID) > 0;
@@ -132,5 +132,5 @@
         }
 
-        // 子カテゴリの商品数を合計する。
+        // 子カテゴリーの商品数を合計する。
         $children_product_count = 0;
         foreach ($arrChildren as $category) {
@@ -138,7 +138,7 @@
         }
 
-        // 選択されたカテゴリに直属の商品がある場合は、子カテゴリの先頭に追加する。
+        // 選択されたカテゴリーに直属の商品がある場合は、子カテゴリーの先頭に追加する。
         if ($arrCategory['product_count'] > $children_product_count) {
-            $arrCategory['product_count'] -= $children_product_count; // 子カテゴリの商品数を除く。
+            $arrCategory['product_count'] -= $children_product_count; // 子カテゴリーの商品数を除く。
             $arrCategory['has_children'] = false; // 商品一覧ページに遷移させるため。
             array_unshift($arrChildren, $arrCategory);
Index: /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21400)
+++ /branches/version-2_11-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 21410)
@@ -311,4 +311,14 @@
         $arrProducts = $objProduct->getListByProductIds($objQuery, $arrProductId);
 
+        //取得している並び順で並び替え
+        $arrProducts2 = array();
+        foreach($arrProducts as $item) {
+            $arrProducts2[ $item['product_id'] ] = $item;
+        }
+        $arrProducts = array();
+        foreach($arrProductId as $product_id) {
+            $arrProducts[] = $arrProducts2[$product_id];
+        }
+
         // 規格を設定
         $objProduct->setProductsClassByProductIds($arrProductId);
@@ -373,5 +383,5 @@
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
         $arrSearch  = array('category' => '指定なし', 'maker' => '指定なし', 'name' => '指定なし');
-        // カテゴリ検索条件
+        // カテゴリー検索条件
         if ($arrSearchData['category_id'] > 0) {
             $arrSearch['category']  = $objQuery->get('category_name', 'dtb_category', 'category_id = ?', array($arrSearchData['category_id']));
@@ -398,5 +408,5 @@
         // 検索結果対象となる商品の数を取得
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
-        $objQuery->setWhere($searchCondition['where_for_count']);
+        $objQuery->setWhere($searchCondition['where']);
         $objProduct = new SC_Product_Ex();
         return $objProduct->findProductCount($objQuery, $searchCondition['arrval']);
@@ -423,4 +433,9 @@
         // 商品検索条件の作成（未削除、表示）
         $searchCondition['where'] = "alldtl.del_flg = 0 AND alldtl.status = 1 ";
+
+        // 在庫無し商品の非表示
+        if (NOSTOCK_HIDDEN === true) {
+            $searchCondition['where'] .= ' AND (stock >= 1 OR stock_unlimited = 1)';
+        }
 
         if (strlen($searchCondition["where_category"]) >= 1) {
@@ -450,13 +465,4 @@
             $searchCondition['arrval'][] = $arrSearchData['maker_id'];
         }
-
-        $searchCondition['where_for_count'] = $searchCondition['where'];
-
-        // 在庫無し商品の非表示
-        if (NOSTOCK_HIDDEN) {
-            $searchCondition['where'] .= ' AND (stock >= 1 OR stock_unlimited = 1)';
-            $searchCondition['where_for_count'] .= ' AND EXISTS(SELECT * FROM dtb_products_class WHERE product_id = alldtl.product_id AND del_flg = 0 AND (stock >= 1 OR stock_unlimited = 1))';
-        }
-
         return $searchCondition;
     }
Index: /branches/version-2_11-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 21403)
+++ /branches/version-2_11-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 21410)
@@ -169,5 +169,5 @@
         }
         // 在庫無し商品の非表示
-        if (NOSTOCK_HIDDEN) {
+        if (NOSTOCK_HIDDEN === true) {
             $where .= ' AND (stock_max >= 1 OR stock_unlimited_max = 1)';
         }
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 21319)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 21410)
@@ -583,5 +583,5 @@
 
         // 在庫無し商品の非表示対応
-        if (NOSTOCK_HIDDEN) {
+        if (NOSTOCK_HIDDEN === true) {
             // 件数カウントバッチ実行
             $objDb = new SC_Helper_DB_Ex();
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 21405)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 21410)
@@ -48,5 +48,5 @@
         parent::init();
         $this->tpl_maintitle = '商品管理';
-        $this->tpl_subtitle = 'カテゴリ登録';
+        $this->tpl_subtitle = 'カテゴリー登録';
         $this->tpl_mainpage = 'products/category.tpl';
         $this->tpl_mainno = 'products';
@@ -80,5 +80,5 @@
 
         switch($this->getMode()) {
-        // カテゴリ登録/編集実行
+        // カテゴリー登録/編集実行
         case 'edit':
             $category_id = $objFormParam->getValue('category_id');
@@ -296,5 +296,5 @@
      * 下記の場合は, 登録を実行せず、エラーメッセージを表示する
      *
-     * - カテゴリ登録数の上限を超える場合
+     * - カテゴリー登録数の上限を超える場合
      * - 階層登録数の上限を超える場合
      * - カテゴリ名がすでに使用されている場合
@@ -341,5 +341,5 @@
         }
 
-        // カテゴリ登録
+        // カテゴリー登録
         $this->registerCategory($objFormParam->getValue('parent_category_id'),
                                 $objFormParam->getValue('category_name'),
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 21402)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 21410)
@@ -27,5 +27,5 @@
 
 /**
- * カテゴリ登録CSVのページクラス
+ * カテゴリー登録CSVのページクラス
  *
  * LC_Page_Admin_Products_UploadCSV をカスタマイズする場合はこのクラスを編集する.
@@ -73,5 +73,5 @@
         $this->tpl_subno    = 'upload_csv_category';
         $this->tpl_maintitle = '商品管理';
-        $this->tpl_subtitle = 'カテゴリ登録CSV';
+        $this->tpl_subtitle = 'カテゴリー登録CSV';
         $this->csv_id = '5';
 
@@ -350,5 +350,5 @@
 
     /**
-     * カテゴリ登録を行う.
+     * カテゴリー登録を行う.
      *
      * FIXME: 登録の実処理自体は、LC_Page_Admin_Products_Categoryと共通化して欲しい。
Index: /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 21402)
+++ /branches/version-2_11-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 21410)
@@ -414,5 +414,5 @@
         }
 
-        // カテゴリ登録
+        // カテゴリー登録
         if($arrList['category_ids'] != "") {
             $arrCategory_id = explode(',', $arrList['category_ids']);
Index: /branches/version-2_11-dev/data/class/pages/LC_Page_Sitemap.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/LC_Page_Sitemap.php	(revision 21317)
+++ /branches/version-2_11-dev/data/class/pages/LC_Page_Sitemap.php	(revision 21410)
@@ -212,5 +212,5 @@
     function getAllProducts() {
 
-        // XXX: 商品登録の無いカテゴリは除外する方が良い気もする
+        // XXX: 商品登録の無いカテゴリーは除外する方が良い気もする
         $objQuery = SC_Query_Ex::getSingletonInstance();
         $sql = "SELECT category_id FROM dtb_category WHERE del_flg = 0";
Index: /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 21401)
+++ /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 21410)
@@ -107,5 +107,8 @@
             }
             // 取得
-            $arrProductList = $objProduct->getListByProductIds($objQuery, $arrProductId);
+            $arrTmp = $objProduct->getListByProductIds($objQuery, $arrProductId);
+            foreach ($arrTmp as $key => $arrRow) {
+                $arrProductList[$arrRow['product_id']] = $arrRow;
+            }
             // おすすめ商品情報にマージ
             foreach (array_keys($arrBestProducts) as $key) {
Index: /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php
===================================================================
--- /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 21317)
+++ /branches/version-2_11-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 21410)
@@ -65,5 +65,5 @@
         switch ( SC_Display_Ex::detectDevice() ) {
             case DEVICE_TYPE_MOBILE:
-                // メインカテゴリの取得
+                // メインカテゴリーの取得
                 $this->arrCat = $this->lfGetMainCat(true);
                 break;
@@ -117,5 +117,5 @@
      * @param array $arrParentCategoryId 親カテゴリの配列
      * @param boolean $count_check 登録商品数をチェックする場合はtrue
-     * @return array $arrRet カテゴリツリーの配列を返す
+     * @return array $arrRet カテゴリーツリーの配列を返す
      */
     function lfGetCatTree($arrParentCategoryId, $count_check = false) {
@@ -166,8 +166,8 @@
 
     /**
-     * メインカテゴリの取得.
+     * メインカテゴリーの取得.
      *
      * @param boolean $count_check 登録商品数をチェックする場合はtrue
-     * @return array $arrMainCat メインカテゴリの配列を返す
+     * @return array $arrMainCat メインカテゴリーの配列を返す
      */
     function lfGetMainCat($count_check = false) {
@@ -175,5 +175,5 @@
         $col = '*';
         $from = 'dtb_category left join dtb_category_total_count using (category_id)';
-        // メインカテゴリとその直下のカテゴリを取得する。
+        // メインカテゴリーとその直下のカテゴリーを取得する。
         $where = 'level <= 2 AND del_flg = 0';
         // 登録商品数のチェック
@@ -183,5 +183,5 @@
         $objQuery->setOption('ORDER BY rank DESC');
         $arrRet = $objQuery->select($col, $from, $where);
-        // メインカテゴリを抽出する。
+        // メインカテゴリーを抽出する。
         $arrMainCat = array();
         foreach ($arrRet as $cat) {
@@ -189,5 +189,5 @@
                 continue;
             }
-            // 子カテゴリを持つかどうかを調べる。
+            // 子カテゴリーを持つかどうかを調べる。
             $arrChildrenID = SC_Utils_Ex::sfGetUnderChildrenArray(
                 $arrRet,
Index: /branches/version-2_11-dev/data/class/SC_CustomerList.php
===================================================================
--- /branches/version-2_11-dev/data/class/SC_CustomerList.php	(revision 21407)
+++ /branches/version-2_11-dev/data/class/SC_CustomerList.php	(revision 21410)
@@ -302,11 +302,11 @@
         }
 
-        // カテゴリを選択している場合のみ絞込検索を行う
+        // カテゴリーを選択している場合のみ絞込検索を行う
         if (!isset($this->arrSql['search_category_id'])) $this->arrSql['search_category_id'] = "";
         if ( strlen($this->arrSql['search_category_id']) > 0){
-            // カテゴリで絞込検索を行うSQL文生成
+            // カテゴリーで絞込検索を行うSQL文生成
             list($tmp_where, $tmp_arrval) = $objDb->sfGetCatWhere($this->arrSql['search_category_id']);
 
-            // カテゴリで絞込みが可能の場合
+            // カテゴリーで絞込みが可能の場合
             if($tmp_where != "") {
                 $this->setWhere( " customer_id IN (SELECT distinct customer_id FROM dtb_order WHERE order_id IN (SELECT distinct order_id FROM dtb_order_detail WHERE product_id IN (SELECT product_id FROM dtb_product_categories WHERE ".$tmp_where." ))) ");
